# class Chef::ChefFS::FileSystem::DefaultEnvironmentCannotBeModifiedError

### Public Class Methods

new(operation, entry, cause = nil) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/default_environment_cannot_be_modified_error.rb, line 25
    def initialize(operation, entry, cause = nil)
      super(operation, entry, cause)
    end

### Public Instance Methods

reason() click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/default_environment_cannot_be_modified_error.rb, line 29
    def reason
      result = super
      result + " (default environment cannot be modified)"
    end